Page MenuHomeFreeBSD

Change pecl-APCu ports: keep 4.x for PHP 5.6 and 5.x for PHP 7.0+
ClosedPublic

Authored by sunpoet on Jan 25 2017, 5:30 PM.

Details

Summary

This patch includes:

  • Update devel/pecl-APCu to 5.1.8 (latest 5.x)
  • Repocopy devel/pecl-APCu to devel/pecl-APCu4 and update to 4.0.11 (latest 4.x)
  • Remove devel/php70-APCu

After this change, PHP 7.0 and 7.1 users could install devel/pecl-APCu and PHP 5.6 users will need to install devel/pecl-APCu4.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

sunpoet retitled this revision from to Change pecl-APCu ports: keep 4.x for PHP 5.6 and 5.x for PHP 7.0+.
sunpoet updated this object.
sunpoet edited the test plan for this revision. (Show Details)
sunpoet added a reviewer: sunpoet.

Maintainers are informed in private mail.

Maintainer of devel/pecl-APCu accepted pecl-APCu part through submitting Bug #216968 and Bug #216969.
Maintainer of devel/php70-APCu accepted and requested adding a MOVED entry.

This revision is now accepted and ready to land.Feb 12 2017, 8:35 AM
This revision was automatically updated to reflect the committed changes.